package javax.swing.plaf;

import javax.swing.JButton;
import java.io.File;
import javax.swing.filechooser.FileView;
import javax.swing.filechooser.FileFilter;
import javax.swing.JFileChooser;

public abstract class FileChooserUI extends ComponentUI
{
    public FileChooserUI() {
    }
    
    public abstract FileFilter getAcceptAllFileFilter(JFileChooser p0);
    
    public abstract FileView getFileView(JFileChooser p0);
    
    public abstract String getApproveButtonText(JFileChooser p0);
    
    public abstract String getDialogTitle(JFileChooser p0);
    
    public abstract void rescanCurrentDirectory(JFileChooser p0);
    
    public abstract void ensureFileIsVisible(JFileChooser p0, File p1);
    
    public JButton getDefaultButton(JFileChooser fileChooser) {
        return null;
    }
}
